Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.transformer
Class DecimalToRoman

    java.lang.Object
      |
      +--weblogic.apache.xalan.transformer.DecimalToRoman

public class DecimalToRoman
extends java.lang.Object

Structure to help in converting integers to roman numerals

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Field Summary
`java.lang.String` | `m_postLetter` Correspoding letter (roman) to m_postValue
`long` | `m_postValue` Minimum value for a given range of roman numbers
`java.lang.String` | `m_preLetter` Correspoding letter (roman) to m_preValue
`long` | `m_preValue` Value of last prefixed number within that same range

Constructor Summary
`DecimalToRoman(long postValue, java.lang.String postLetter, long preValue, java.lang.String preLetter)` Constructor DecimalToRoman

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_postValue

    public long m_postValue

  Minimum value for a given range of roman numbers

### m_postLetter

    public java.lang.String m_postLetter

  Correspoding letter (roman) to m_postValue

### m_preValue

    public long m_preValue

  Value of last prefixed number within that same range

### m_preLetter

    public java.lang.String m_preLetter

  Correspoding letter (roman) to m_preValue

Constructor Detail

### DecimalToRoman

    public DecimalToRoman(long postValue,
                          java.lang.String postLetter,
                          long preValue,
                          java.lang.String preLetter)

  Constructor DecimalToRoman

  Parameters:
    `postValue` - Minimum value for a given range of roman numbers
    `postLetter` - Correspoding letter (roman) to postValue
    `preValue` - Value of last prefixed number within that same range (i.e. IV if postval is 5 (V))
    `preLetter` - Correspoding letter(roman) to preValue

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference